package org.tio.sitexxx.service.service.pay.utils;

import cn.hutool.core.util.StrUtil;

import java.text.DecimalFormat;
import java.util.Objects;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2025-11-25 10:46
 *    desc   :
 * </pre>
 */
public class AmountUtil {
    /**
     * @param amount
     * @return
     * @author xufei
     * 2021年3月9日 下午1:48:13
     */
    public static Double intAmountToDouble(String amount) {
        if (StrUtil.isBlank(amount)) {
            System.out.println("转化amount时为空-intAmountToDouble");
            return 0d;
        }
        Double change = Double.parseDouble(amount) / 100;
        DecimalFormat df = new DecimalFormat("0.00");
        String s = df.format(change);
        Double formatChage = Double.parseDouble(s);
        if (!Objects.equals(change, formatChage)) {
        }
        return change;
    }

    /**
     * @param amount
     * @return
     * @author xufei
     * 2021年3月10日 上午10:28:48
     */
    public static int doubleAmountToInt(String amount) {
        if (StrUtil.isBlank(amount)) {
            System.out.println("转化amount时为空-doubleAmountToInt");
            return 0;
        }
        Double change = Double.parseDouble(amount) * 100;
        return change.intValue();
    }
}
